<?php
error_reporting(E_ALL);
ini_set('display_errors', '0');
try {

    if (!isset($_REQUEST['month'])) {
        header('location: ../invoice.php');
        exit;
    } else {
        //$id = $_GET['print'];
    }

    $year = $_GET['year'];
    $month = $_GET['month'];

    include_once('../../../classes/manager.class.php');
    include_once('../../../classes/PHPMailer/PHPMailerAutoload.php');
    include_once('../../../fpdf/fpdf1.php');


    $m = new Manager();
    extract($_REQUEST);
    $param_data = ControlConfifguration::GetConfiguration();
    define('PROJECT_NAME', $param_data->name);
    define('PROJECT_ADDRESS', $param_data->address);
    define('PROJECT_TEL', $param_data->contact);
    define('PROJECT_EMAIL', $param_data->email);
    define('PROJECT_WEBSITE', $param_data->website);
    define('PROJECT_COLOR', $param_data->color);
    define('PROJECT_DISCOUNT', $param_data->is_discount);
    define('PROJECT_TAX', $param_data->is_tax);

    //For Employee Detail
    $getYearMonth = date('Y-m-00', strtotime($year . '-' . $month . '-01'));
    $filterSalaryReport = " WHERE DATE_FORMAT(date_time,'%Y-%m-00')='$getYearMonth' ";
    $filterSalaryReport .= " ORDER BY employee_id";
    $qry = SalarySetup::GetSalarySetupList($filterSalaryReport);

    if (!empty($qry)) {

        $font = 10;
        $picx = 100;
        $setx = 5;
        $multi = 210;
        $picsetx = 150;
        $w = array(50, 80, 50, 80);
        $path = "../../../";

        $pdf = new FPDFWithOutWaterMark('P', 'mm', 'A4');
        $pdf->SetMargins(0, 0, 0);

        $pdf->SetTitle('Salary Report');
        $pdf->AddPage();
        $pdf->Ln();
        $pdf->SetFont('Arial', 'B', 14);
        $pdf->Cell(0, 6, PROJECT_NAME, 0, 0, 'C');
        $pdf->SetX($setx);
        $pdf->SetFont('Arial', '', 8);
        $pdf->Cell(0, 8, 'Printed Date: ' . date('d-m-Y h:i A'), 0, 0, 'L');
        $pdf->Ln();
        $pdf->SetFont('Arial', '', 12);
        $pdf->Cell(0, 5, 'Salary Report - ('.$month.', '.$year.')', 0, 0, 'C');

        $pdf->Ln();
        $pdf->Ln();
        $pdf->SetX($setx);
        $header = array('S.No', 'Employee Name', 'Date', 'Advance', 'Amount');

        function FancyTable($header, $qry, $month, $year, $setx)
        {
            global $pdf;

            // Colors, line width and bold font
            $pdf->SetFillColor(224, 235, 255);
            $pdf->SetTextColor(0);
            $pdf->SetDrawColor(128, 0, 0);
            $pdf->SetLineWidth(.1);
            $pdf->SetFont('Arial', 'B', 8);
            // Header
            $wr = array(10, 90, 40, 20, 41);

            for ($i = 0; $i < count($header); $i++)
                $pdf->Cell($wr[$i], 7, $header[$i], 1, 0, 'L', true);

            // Color and font restoration
            $pdf->SetFillColor(224, 235, 255);
            $pdf->SetTextColor(0);
            $pdf->SetFont('');
            // Data
            $fill = false;

            if ($qry) {
                $counter = 1;
                $counter_pagebreak = 1;
                $totalSalary = 0;
                $countingSr = 1;
                foreach ($qry AS $qery) {
                    $emp = EmployeeSetup::GetEmployeeSetupById($qery->employee_id);
                    $totalSalary += $qery->amount;
                    $pdf->Ln();
                    $pdf->SetX($setx);
                    $pdf->SetFont('Arial', '', 7.5);
                    $pdf->Cell($wr[0], 7, $countingSr, 'LRBT', 0, 'L', $fill);
                    $pdf->Cell($wr[1], 7, $emp->name, 'LRBT', 0, 'L', $fill);
                    $pdf->Cell($wr[2], 7, date('Y-m-d', strtotime($qery->date_time)), 'LRBT', 0, 'L', $fill);
                    $pdf->Cell($wr[3], 7, ($qery->advance == 1 ? "Yes" : "No"), 'LRBT', 0, 'L', $fill);
                    $pdf->Cell($wr[4], 7, $qery->amount, 'LRBT', 0, 'L', $fill);

                    if ($counter == 34 || ($counter != 34 && ($counter_pagebreak) % 38 == 0)) {
                        $counter_pagebreak = 1;
                        $pdf->AddPage();
                        $pdf->SetX($setx);
                        $pdf->SetFont('Arial', 'B', 7);
                        for ($i = 0; $i < count($header); $i++)
                            $pdf->Cell($wr[$i], 7, $header[$i], 1, 0, 'C', true);
                    }
                    $counter++;
                    $counter_pagebreak++;
                    $countingSr++;
                }
                $wr = array(160, 41);
                $pdf->Ln();
                $pdf->SetX($setx);
                $pdf->SetFont('Arial', '', 7.5);
                $pdf->Cell($wr[0], 7, 'Total Salary', 'LRBT', 0, 'C', $fill);
                $pdf->Cell($wr[1], 7, $totalSalary, 'LRBT', 0, 'L', $fill);

            }
            //$pdf->SetFillColor(255, 204, 0);

            $wr = array(80, 21, 20, 80);
            $pdf->Ln();
            $pdf->Ln();
            $pdf->Ln();
            $pdf->Ln();
            $pdf->Ln();
            $pdf->Ln();
            $pdf->SetX($setx);
            $pdf->SetFont('Arial', '', 9);
            $pdf->Cell($wr[0], 7, "Company Signature's", 'T', 0, 'C');
            $pdf->Cell($wr[1], 7, "", '', 0, 'C');

            $pdf->Cell($wr[2], 7, "", '', 0, 'C');
            $pdf->Cell($wr[3], 7, "", 'T', 0, 'C');
        }

        FancyTable($header, $qry, $month, $year, $setx);
    } else {
        header('location: ' . PROJECT_ADMIN_URL);
        exit;
    }

    $pdf->Output();
    if (ob_get_level() > 0) { ob_end_flush(); }
    exit;
} catch (Exception $e) {
    echo $e->getMessage();
}
?>